# see https://symfony.com/doc/current/reference/configuration/framework.html
framework:
    secret: '%env(APP_SECRET)%'

    # Note that the session will be started ONLY if you read or write from it.
    session: true

    #esi: true
    #fragments: true

    http_client:
        scoped_clients:
            fpl.client:
                base_uri: 'https://fantasy.premierleague.com/api/'
                timeout: 5
                max_duration: 10
                max_redirects: 2
                headers:
                    Accept: 'application/json'
                    User-Agent: 'fpl-4x4-league/1.0'

when@test:
    framework:
        test: true
        session:
            storage_factory_id: session.storage.factory.mock_file
